This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 54228 - JavaScript crashes on 6.2, not on 7.0
JavaScript crashes on 6.2, not on 7.0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-01 20:46 EDT by Need Real Name
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-01 20:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-01 20:46:06 EDT
Description of Problem:

Same symptoms as 4441, 5442, 5369, 11026, et al. but with the additional
discovery that the *same* version of Netscape fails on 6.2 and works on
7.0.  This strongly suggests that it is not a Netscape problem as such,
but a system integration problem.


Version-Release number of selected component (if applicable):

This is a guess on useful/relevant config info, let me know if anything
else would help.

[cricket : phutchis]$ uname -a
Linux cricket 2.2.16 #9 SMP Thu Oct 26 15:03:24 PDT 2000 i686 unknown
[cricket : phutchis]$ rpm -qa | egrep -i xfree86
XFree86-3.3.6-20
XFree86-libs-3.3.6-20
XFree86-75dpi-fonts-3.3.6-20
XFree86-xfs-3.3.6-20
XFree86-100dpi-fonts-3.3.6-20
XFree86-SVGA-3.3.6-20
XFree86-devel-3.3.6-20
[cricket : phutchis]$ rpm -qa | egrep -i netsca
netscape-communicator-4.77-0.6.2
netscape-common-4.77-0.6.2
netscape-navigator-4.77-0.6.2
[cricket : phutchis]$ rpm -qa | egrep -i libc
libc-5.3.12-31
glibc-profile-2.1.3-22
glibc-2.1.3-22
glibc-devel-2.1.3-22
[cricket : phutchis]$ rpm -qa | egrep -i fvwm
fvwm2-icons-2.2.4-4
fvwm2-2.2.4-4
[cricket : phutchis]$ chkfontpath --list
Current directories in font path:
1: /usr/X11R6/lib/X11/fonts/misc:unscaled
2: /usr/X11R6/lib/X11/fonts/75dpi:unscaled
3: /usr/X11R6/lib/X11/fonts/100dpi:unscaled
4: /usr/X11R6/lib/X11/fonts/misc
5: /usr/X11R6/lib/X11/fonts/Type1
6: /usr/X11R6/lib/X11/fonts/Speedo
7: /usr/X11R6/lib/X11/fonts/75dpi
8: /usr/X11R6/lib/X11/fonts/100dpi
9: /usr/share/fonts/default/TrueType
10: /usr/share/fonts/default/Type1


How Reproducible:

Visit www.netscape.com or help.netscape.com with Java and JavaScript
enabled.

Steps to Reproduce:
1. Launch Netscape
2. Enable Java and JavaScript
3. Enter www.netscape.com in Location: box

Actual Results:

Bus error, no core file produced

Expected Results:

Display the page :)

Additional Information:
	
Following is the comparable config info for a 7.0 machine where it does
not crash.  (DISPLAY is still set to the above 6.2 machine.)

[critter : phutchis]$ uname -a
Linux critter 2.4.9 #6 SMP Wed Sep 12 11:13:51 PDT 2001 i686 unknown
[critter : phutchis]$ rpm -qa | egrep -i xfree86
XFree86-xfs-4.0.1-1
XFree86-100dpi-fonts-4.0.1-1
XFree86-ISO8859-2-75dpi-fonts-4.0.1-1
XFree86-twm-4.0.1-1
XFree86-libs-4.0.1-1
XFree86-4.0.1-1
XFree86-75dpi-fonts-4.0.1-1
XFree86-ISO8859-2-100dpi-fonts-1.0-12
XFree86-ISO8859-2-Type1-fonts-1.0-12
XFree86-tools-4.0.1-1
XFree86-xdm-4.0.1-1
XFree86-ISO8859-2-1.0-12
XFree86-SVGA-3.3.6-33
[critter : phutchis]$ rpm -qa | egrep -i netsca
netscape-common-4.77-1
netscape-communicator-4.77-1
[critter : phutchis]$ rpm -qa | egrep -i libc
glibc-profile-2.2-12
glibc-common-2.2-12
compat-glibc-6.2-2.1.3.2
glibc-devel-2.2-12
glibc-2.2-12
[critter : phutchis]$ rpm -qa | egrep -i fvwm
fvwm2-icons-2.2.4-9
fvwm2-2.2.4-9
[critter : phutchis]$ chkfontpath --list
Current directories in font path:
1: /usr/X11R6/lib/X11/fonts/misc:unscaled
2: /usr/X11R6/lib/X11/fonts/75dpi:unscaled
3: /usr/X11R6/lib/X11/fonts/100dpi:unscaled
4: /usr/X11R6/lib/X11/fonts/misc
5: /usr/X11R6/lib/X11/fonts/Type1
6: /usr/X11R6/lib/X11/fonts/Speedo
7: /usr/X11R6/lib/X11/fonts/75dpi
8: /usr/X11R6/lib/X11/fonts/100dpi
9: /usr/share/fonts/default/Type1
10: /usr/share/fonts/ISO8859-2/misc:unscaled
11: /usr/share/fonts/ISO8859-2/100dpi:unscaled
12: /usr/share/fonts/ISO8859-2/misc
13: /usr/share/fonts/ISO8859-2/Type1
14: /usr/share/fonts/ISO8859-2/100dpi
15: /usr/X11R6/lib/X11/fonts/latin2/75dpi:unscaled
16: /usr/X11R6/lib/X11/fonts/latin2/75dpi
Comment 1 Bill Nottingham 2002-01-24 23:37:15 EST
Actually, it is probably more likely a problem fixed in the X libraries;
unfortunately, backporting XFree86 4.0 to 6.2 is not going to happen.

Note You need to log in before you can comment on or make changes to this bug.